#include "XBP.CH"
#include "APPEVENT.CH"
#include "COMMON.CH"
#include "GRA.CH"
#include "DLL.CH"

PROCEDURE APPSYS
RETURN

PROCEDURE MAIN
LOCAL nEvent := 0, mp1 := 0, mp2 := 0, oXbp
LOCAL nRed := 0, nGreen := 0, nBlue := 0
LOCAL oDlg
LOCAL oSlideRed
LOCAL oSlideGreen
LOCAL oSlideBlue
LOCAL oStatic
LOCAL bCallback

   oDlg       := XbpDialog():new(AppDesktop() ,, {0,0}, {800,600} )
   oDlg:title := "native Slider Demo"
   oDlg:Icon  := 1
   oDlg:tasklist  := .T.
   oDlg:MaxButton := .F.
   oDlg:clipChildren := .T.
   oDlg:DrawingArea:clipChildren := .T.
   oDlg:create()

   //
   //
   oStatic := XbpStatic():new(oDlg:DrawingArea,,{100,400},{400,140})
   oStatic:create()

   //
   //
   oSlideRed   := DXE_Slider():New(oDlg:DrawingArea,,{100,100},{400,40})
   oSlideRed:Horzontal := .T.
   oSlideRed:Range := {0,255}
   oSlideRed:Create()

   bCallback := {|mp1, mp2, oXbp| nRed   := mp1 , ;
                               RGB( nRed, nGreen, nBlue ,oStatic) }
   oSlideRed:Track  := bCallback

   //
   //
   oSlideGreen := DXE_Slider():New(oDlg:DrawingArea,,{100,200},{400,40})
   oSlideGreen:Vertikal  := .T.
   oSlideGreen:Range := {0,255}
   oSlideGreen:Create()

   bCallback := {|mp1, mp2, oXbp| nGreen := mp1 ,;
                       RGB( nRed, nGreen, nBlue ,oStatic) }
   oSlideGreen:Track  := bCallback

   //
   //
   oSlideBlue  := DXE_Slider():New(oDlg:DrawingArea,,{100,300},{400,40})
   oSlideBlue:Horzontal := .T.
   oSlideBlue:Range := {0,255}
   oSlideBlue:Create()

   bCallback := {|mp1, mp2, oXbp| nBlue  := mp1 , ;
                       RGB( nRed, nGreen, nBlue ,oStatic) }
   oSlideBlue:Track  := bCallback

   CenterControl(oDlg)

   oSlideRed   :SetData(128)
   oSlideGreen :SetData(128)
   oSlideBlue  :SetData(128)

   oSlideRed   :SetScope({050,185})
   oSlideGreen :SetScope({100,185})
   oSlideBlue  :SetScope({201,255})

   RGB( nRed, nGreen, nBlue ,oStatic)
   SetAppFocus(oSlideRed)

   nEvent := xbeP_None
   DO WHILE nEvent != xbeP_Close
      nEvent := AppEvent( @mp1, @mp2, @oXbp )

      oXbp:HandleEvent( nEvent, mp1, mp2 )
   ENDDO

RETURN

*
*
*